Cluster Managers - Update Relay Private Endpoint Connection
Belirlenen küme yöneticisi tarafından yönetilen Azure Relay isim alanı için özel uç nokta bağlantısını güncelleyin. Bu işlemi, küme yöneticisi tarafından yönetilen röle isim alanı için bekleyen özel uç nokta bağlantı talebini onaylamak veya reddetmek için kullanın.
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.NetworkCloud/clusterManagers/{clusterManagerName}/updateRelayPrivateEndpointConnection?api-version=2026-01-01-preview
URI Parametreleri
| Name | İçinde | Gerekli | Tür | Description |
|---|---|---|---|---|
|
cluster
|
path | True |
string pattern: ^([a-zA-Z0-9][a-zA-Z0-9-_]{0,28}[a-zA-Z0-9])$ |
Küme yöneticisinin adı. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
Kaynak grubunun adı. İsim büyük/küçük harfe duyarsızdır. |
|
subscription
|
path | True |
string (uuid) |
Hedef aboneliğin kimliği. Değer bir UUID olmalıdır. |
|
api-version
|
query | True |
string minLength: 1 |
Bu işlem için kullanılacak API sürümü. |
İstek Gövdesi
| Name | Gerekli | Tür | Description |
|---|---|---|---|
| connectionState | True |
Özel uç nokta bağlantısı için ayarlanacağı durum. |
|
| privateEndpointResourceId | True |
string (arm-id) |
Röle isim alanına bağlanmasına izin verilecek veya reddedilecek özel uç noktanın kaynak kimliği. |
| description |
string |
Özel uç nokta bağlantısıyla ilişkilendirilecek açıklama. |
Yanıtlar
| Name | Tür | Description |
|---|---|---|
| 202 Accepted |
Kaynak işlemi kabul edildi. Üst Bilgiler
|
|
| Other Status Codes |
Beklenmeyen bir hata yanıtı. |
Güvenlik
azure_auth
Azure Active Directory OAuth2 Flow.
Tür:
oauth2
Akış:
implicit
Yetkilendirme URL’si:
https://login.microsoftonline.com/common/oauth2/authorize
Kapsamlar
| Name | Description |
|---|---|
| user_impersonation | kullanıcı hesabınızın kimliğine bürünme |
Örnekler
| Approve private endpoint connection |
| Reject private endpoint connection |
Approve private endpoint connection
Örnek isteği
POST https://management.azure.com/subscriptions/123e4567-e89b-12d3-a456-426655440000/resourceGroups/resourceGroupName/providers/Microsoft.NetworkCloud/clusterManagers/clusterManagerName/updateRelayPrivateEndpointConnection?api-version=2026-01-01-preview
{
"connectionState": "Approved",
"description": "Approving private endpoint connection",
"privateEndpointResourceId": "/subscriptions/123e4567-e89b-12d3-a456-426655440000/resourceGroups/resourceGroupName/providers/Microsoft.Network/privateEndpoints/privateEndpointName"
}
Örnek yanıt
Location: https://management.azure.com/subscriptions/123e4567-e89b-12d3-a456-426655440000/providers/Microsoft.NetworkCloud/locations/location/operationStatuses/operationId?api-version=2026-01-01-preview
Reject private endpoint connection
Örnek isteği
POST https://management.azure.com/subscriptions/123e4567-e89b-12d3-a456-426655440000/resourceGroups/resourceGroupName/providers/Microsoft.NetworkCloud/clusterManagers/clusterManagerName/updateRelayPrivateEndpointConnection?api-version=2026-01-01-preview
{
"connectionState": "Rejected",
"description": "Rejecting private endpoint connection",
"privateEndpointResourceId": "/subscriptions/123e4567-e89b-12d3-a456-426655440000/resourceGroups/resourceGroupName/providers/Microsoft.Network/privateEndpoints/privateEndpointName"
}
Örnek yanıt
Location: https://management.azure.com/subscriptions/123e4567-e89b-12d3-a456-426655440000/providers/Microsoft.NetworkCloud/locations/location/operationStatuses/operationId?api-version=2026-01-01-preview
Tanımlar
| Name | Description |
|---|---|
|
Cluster |
ClusterManagerUpdateRelayPrivateEndpointConnectionParameters, bir küme yöneticisi tarafından yönetilen özel aktarıcı için özel uç nokta bağlantısını onaylama veya reddetme talebinin gövdesini temsil eder. |
|
Error |
Kaynak yönetimi hatası ek bilgileri. |
|
Error |
Hata ayrıntısı. |
|
Error |
Hata yanıtı |
|
Relay |
Özel uç nokta bağlantısı için ayarlanacağı durum. |
ClusterManagerUpdateRelayPrivateEndpointConnectionParameters
ClusterManagerUpdateRelayPrivateEndpointConnectionParameters, bir küme yöneticisi tarafından yönetilen özel aktarıcı için özel uç nokta bağlantısını onaylama veya reddetme talebinin gövdesini temsil eder.
| Name | Tür | Description |
|---|---|---|
| connectionState |
Özel uç nokta bağlantısı için ayarlanacağı durum. |
|
| description |
string |
Özel uç nokta bağlantısıyla ilişkilendirilecek açıklama. |
| privateEndpointResourceId |
string (arm-id) |
Röle isim alanına bağlanmasına izin verilecek veya reddedilecek özel uç noktanın kaynak kimliği. |
ErrorAdditionalInfo
Kaynak yönetimi hatası ek bilgileri.
| Name | Tür | Description |
|---|---|---|
| info |
object |
Ek bilgiler. |
| type |
string |
Ek bilgi türü. |
ErrorDetail
Hata ayrıntısı.
| Name | Tür | Description |
|---|---|---|
| additionalInfo |
Hata ek bilgileri. |
|
| code |
string |
Hata kodu. |
| details |
Hata ayrıntıları. |
|
| message |
string |
Hata iletisi. |
| target |
string |
Hata hedefi. |
ErrorResponse
Hata yanıtı
| Name | Tür | Description |
|---|---|---|
| error |
Hata nesnesi. |
RelayPrivateEndpointConnectionState
Özel uç nokta bağlantısı için ayarlanacağı durum.
| Değer | Description |
|---|---|
| Approved |
Özel uç nokta bağlantısı onaylandı. |
| Rejected |
Özel uç nokta bağlantısı reddedilir. |